package com.dayou.bo;

import java.util.List;

public interface Tree<K,V> {

    K getId();

    V getName();

    K getParentId();

    int order();

    List<? extends Tree<K,V>> getChildren();

    void setChildren(List<? extends Tree<K,V>> children);
}
